Page MenuHomePhabricator

Cannot remove items from Gather collections
Closed, ResolvedPublic

Description

visit collection you own. e.g. http://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Gather/id/175/A28
click edit.
Remove item.
Click save.
Error => Uncaught TypeError: Cannot read property 'removePagesFromCollection' of undefinedPageList.extend.saveChanges @ VM400:132Panel.extend.saveChanges @ VM400:136Overlay.extend.onFirstPaneSaveClick @ VM400:147proxy @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=fuKFKEwW:6jQuery.event.dispatch @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=fuKFKEwW:65elemData.handle @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=fuKFKEwW:60

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 28 2015, 9:26 PM
Jdlrobson set Security to None.
Nemo_bis renamed this task from Cannot remove items from collections to Cannot remove items from Gather collections.Jan 3 2016, 8:11 PM
Pranavmk98 added a subscriber: Pranavmk98.

I am testing this on Vagrant, and although I am the owner of a collection, I cannot see the edit button. I've tried removing all the 'if' conditions in includes/views/Collection.php, but the edit button still doesn't appear. I've added syntax errors, and these errors do show up, which means those lines are getting executed. How can I fix this?

Have you got MobileFrontend installed
Are you opted into beta via Special:MobileOptions
Are you on Special:Gather in the mobile site?

Yes
No... At least I don't think so. How do I do this?
Yes

Change 263600 had a related patch set uploaded (by PranavK):
Remove items from Gather collections

https://gerrit.wikimedia.org/r/263600

Change 263600 merged by jenkins-bot:
Remove items from Gather collections

https://gerrit.wikimedia.org/r/263600

Jdlrobson closed this task as Resolved.Jan 12 2016, 11:58 PM

Change 266793 had a related patch set uploaded (by Jdlrobson):
Remove items from Gather collections

https://gerrit.wikimedia.org/r/266793

Change 266793 merged by jenkins-bot:
Remove items from Gather collections

https://gerrit.wikimedia.org/r/266793